Skip to main content
GET
Get person membership details

Авторизации

Authorization
string
header
обязательно

Short-lived bearer access token issued for a Living Security API access key. Send as Authorization: Bearer .

Заголовки

x-organization-id
string<uuid>
обязательно

Organization context for multi-tenant operations

Параметры пути

personId
string
обязательно

Ответ

Membership details found successfully

id
string
обязательно

Unique membership identifier

Пример:

"550e8400-e29b-41d4-a716-446655440000"

personId
string
обязательно

Person ID associated with this membership

Пример:

"user-550e8400-e29b-41d4-a716-446655440000"

organizationId
string
обязательно

Organization ID for this membership

Пример:

"550e8400-e29b-41d4-a716-446655440000"

active
boolean
обязательно

Whether the membership is currently active

Пример:

true

profile
object
обязательно

Person profile data (name, email, etc.)

createdAt
string<date-time>
обязательно

Membership creation timestamp

Пример:

"2025-10-01T00:00:00.000Z"

updatedAt
string<date-time>
обязательно

Membership last update timestamp

Пример:

"2025-10-01T12:00:00.000Z"

importSource
enum<string> | null

How the user was provisioned (SCIM, CSV, or MANUAL)

Доступные опции:
SCIM,
CSV,
MANUAL
Пример:

"SCIM"

accessGrantType
enum<string> | null

How access was granted (DIRECT, PARENT_ORG, or PLATFORM)

Доступные опции:
DIRECT,
PARENT_ORG,
PLATFORM
Пример:

"DIRECT"

stickyAttributes
object

Sticky attributes (overrides, local attributes, sync status)

role
string | null

Primary role identifier. Can be a system role type (OWNER, ADMIN, MEMBER), catalog role ID, or custom role ID based on precedence (system > catalog > custom)

Пример:

"OWNER"

roleDisplayName
string | null

Human-friendly role display name

Пример:

"Owner"

roleIds
string[] | null

Array of ALL role identifiers assigned to this member. Includes system role types (OWNER, ADMIN, etc.), catalog role IDs, and custom role IDs.

Пример: